Bug 118499

Summary: Region based columns not clipped properly
Product: WebKit Reporter: Morten Stenshorne <mstensho>
Component: Layout and RenderingAssignee: Morten Stenshorne <mstensho>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, commit-queue, esprehn+autocc, glenn, rniwa, WebkitBugTracker
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from webkit-ews-01 for mac-mountainlion
none
Patch
none
Archive of layout-test-results from webkit-ews-03 for mac-mountainlion
none
Patch
none
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2 none

Description Morten Stenshorne 2013-07-09 04:18:18 PDT
Clipping in the middle of column gaps doesn't work in the region based multicol implementation.
Comment 1 Morten Stenshorne 2013-07-09 05:31:59 PDT
Created attachment 206310 [details]
Patch
Comment 2 Build Bot 2013-07-09 06:39:41 PDT
Comment on attachment 206310 [details]
Patch

Attachment 206310 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/1027426

New failing tests:
fast/multicol/newmulticol/clipping.html
Comment 3 Build Bot 2013-07-09 06:39:43 PDT
Created attachment 206314 [details]
Archive of layout-test-results from webkit-ews-01 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-01  Port: mac-mountainlion  Platform: Mac OS X 10.8.3
Comment 4 Morten Stenshorne 2013-07-09 07:01:31 PDT
Created attachment 206315 [details]
Patch
Comment 5 Build Bot 2013-07-09 12:50:04 PDT
Comment on attachment 206315 [details]
Patch

Attachment 206315 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/994722

New failing tests:
fast/multicol/newmulticol/clipping.html
Comment 6 Build Bot 2013-07-09 12:50:05 PDT
Created attachment 206348 [details]
Archive of layout-test-results from webkit-ews-03 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-03  Port: mac-mountainlion  Platform: Mac OS X 10.8.3
Comment 7 Morten Stenshorne 2013-07-09 13:50:07 PDT
Created attachment 206351 [details]
Patch
Comment 8 Build Bot 2013-07-10 04:20:09 PDT
Comment on attachment 206351 [details]
Patch

Attachment 206351 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/1056049

New failing tests:
fullscreen/full-screen-iframe-with-max-width-height.html
Comment 9 Build Bot 2013-07-10 04:20:11 PDT
Created attachment 206379 [details]
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-15  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.3
Comment 10 Morten Stenshorne 2013-07-10 04:28:57 PDT
That test suddenly starting to fail is just nonsense. This patch is ready for review.
Comment 11 Dave Hyatt 2013-08-05 13:51:18 PDT
Comment on attachment 206351 [details]
Patch

r=me
Comment 12 WebKit Commit Bot 2013-08-05 14:16:31 PDT
Comment on attachment 206351 [details]
Patch

Clearing flags on attachment: 206351

Committed r153722: <http://trac.webkit.org/changeset/153722>
Comment 13 WebKit Commit Bot 2013-08-05 14:16:33 PDT
All reviewed patches have been landed.  Closing bug.